Skip to main content
POST
TypeScript

Headers

Idempotency-Key
string

A unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.

Path Parameters

userId
string
required

The ID of the API user to register the approval key for.

Body

application/json

The approval API key to register.

name
string
required

A human-readable label for the key.

Example:

"primary signing key"

approvalApiPublicKey
object
required

The public key material and its signing algorithm.

Response

The approval key was registered.

The result of registering an approval API key.

keyId
string
required

The server-generated ID of the registered key, used for deletion.

Example:

"fab543c0-d6be-414c-aa05-5c6c84269d7a"